<?xml version='1.0' encoding='utf-8'?>
<root>
    <world>
        <background backgroundRect="0:0:0:0"/>
        <walls>
            <wall id="" begin="0:-101" end="150:-101"/>
			<wall id="" begin="150:-101" end="150:-375"/>
			<wall id="" begin="150:-375" end="369:-375"/>
			<wall id="" begin="369:-375" end="369:-101"/>
			<wall id="" begin="369:-101" end="519:-101"/>
			<wall id="" begin="519:-101" end="519:-371"/>
			<wall id="" begin="519:-371" end="752:-371"/>
			<wall id="" begin="752:-371" end="752:-101"/>
			<wall id="" begin="752:-101" end="902:-101"/>
			<wall id="" begin="902:-101" end="902:100"/>
		</walls>
        <colorFields/>
        <images/>
        <regions>
			<region height="56" filled="true" type="rectangle" text="Старт" x="-3" width="56" y="-3" visible="true" textX="0" id="start" color="#0000ff" textY="0"/>
			<region height="274" width="219" x="150" y="-375" filled="true" type="rectangle" text="" visible="true" textX="6" id="finish" color="#ff0000" textY="5"/> 
		</regions>
    </world>
	
	<robots>
        <robot position="0:0" id="trikKitRobot" direction="0">
            <sensors>
                <sensor port="D1###input######sensorD1" type="trik::robotModel::parts::TrikSonarSensor" direction="0" position="58:25"/>
                <sensor port="D2###input######sensorD2" type="trik::robotModel::parts::TrikSonarSensor" direction="-90" position="42:-6"/>
            </sensors>
            <startPosition x="25" y="25" id="{20f357fb-9df5-4652-90c0-8cc83f3d32c8}" direction="0"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
	
    <constraints>
        <timelimit value="240000"/>
        <constraint checkOnce="true" failMessage="Уробота не должно быть датчиков, кроме датчиков расстояния в портах D1 и D2">
            <conditions glue="and">
            	 <equals>
                    <typeOf objectId="robot1.A1"/>
                    <string value="undefined"/>
                </equals>
                 <equals>
                    <typeOf objectId="robot1.A2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.F1"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
	
		<constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
			<inside objectId="robot1" regionId="start"/>
		</constraint>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<not><inside objectId="robot1" regionId="finish"/></not>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<fail message="Робот финишировал не в зоне финиша"/>
			</trigger>
		</event>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<inside objectId="robot1" regionId="finish"/>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<success/>
			</trigger>
		</event>
	</constraints>

</root>
